# libcvautomation: cvautomationList Struct Reference

libcvautomation 1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List

Public Attributes
cvautomationList Struct Reference

Implements a structure to build an array for methods like matchSubImage_a() More...

`#include <libcvautomation.h>`

List of all members.

## Public Attributes

IplImage * | cvaImage
char * | fileName
cvaPoint | resultPoint
int | searchMethod
int | tolerance

## Detailed Description

Implements a structure to build an array for methods like matchSubImage_a()

This structure is a simple way to wrap up all needed information for matching sub images in one location.

Parameters:

  cvaImage | An image in IplImage format
  fileName | The file location of an image to be loaded
  resultPoint | Holder for a result - for example, storing where this sub image was located in its root image
  searchMethod | The search method to use when searching for this sub image in a root image
  tolerance | The tolerance to use when searching for this sub image in a root image

See also:
  Libcv Search Methods

Definition at line 48 of file libcvautomation.h.

The documentation for this struct was generated from the following file:

- libcvautomation.h

All Classes Files Functions Defines